classification
Title: PEP 3121, 384 Refactoring applied to mmap module
Type: resource usage Stage: resolved
Components: Extension Modules Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Robin.Schreiber, corona10, loewis, vstinner
Priority: normal Keywords: pep3121

Created on 2012-08-16 09:04 by Robin.Schreiber, last changed 2020-06-22 09:26 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
mmap_pep3121-384_v0.patch Robin.Schreiber, 2012-08-16 09:04
Messages (2)
msg168361 - (view) Author: Robin Schreiber (Robin.Schreiber) * (Python triager) Date: 2012-08-16 09:04
Changes proposed in PEP3121 and PEP384 have now been applied to the mmap module!
msg372066 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-06-22 09:26
Fixed by:

commit 3ad52e366fea37b02a3f619e6b7cffa7dfbdfa2e
Author: Dong-hee Na <donghee.na92@gmail.com>
Date:   Sat Jun 6 00:01:02 2020 +0900

    bpo-1635741: Port mmap module to multiphase initialization (GH-19459)
History
Date User Action Args
2020-06-22 09:26:32vstinnersetstatus: open -> closed

versions: + Python 3.10, - Python 3.4
nosy: + vstinner, corona10

messages: + msg372066
resolution: fixed
stage: resolved
2012-11-08 13:47:21Robin.Schreibersetkeywords: + pep3121, - patch
nosy: + loewis
2012-08-27 03:46:04belopolskylinkissue15787 dependencies
2012-08-16 09:04:13Robin.Schreibercreate